package com.goldenwater.slgc.mapper;

import java.util.List;
import com.goldenwater.slgc.domain.AttFsdaBase;
import org.apache.ibatis.annotations.Mapper;

/** 蓄滞洪区信息 Mapper */
@Mapper
public interface AttFsdaBaseMapper {
    /**
     * 查询蓄滞洪区信息列表
     * 
     * @param attFsdaBase 查询条件
     * @return 蓄滞洪区信息列表
     */
    public List<AttFsdaBase> selectAttFsdaBaseList(AttFsdaBase attFsdaBase);

    /**
     * 通过蓄滞洪区编码查询蓄滞洪区信息
     * 
     * @param fsdaCode 蓄滞洪区编码
     * @return 蓄滞洪区信息
     */
    public AttFsdaBase selectAttFsdaBaseById(String fsdaCode);

    /**
     * 通过蓄滞洪区编码删除蓄滞洪区信息
     * 
     * @param fsdaCode 蓄滞洪区编码
     * @return 影响行数
     */
    public int deleteAttFsdaBaseById(String fsdaCode);

    /**
     * 批量删除蓄滞洪区信息
     * 
     * @param fsdaCodes 蓄滞洪区编码数组
     * @return 影响行数
     */
    public int deleteAttFsdaBaseByIds(String[] fsdaCodes);

    /**
     * 修改蓄滞洪区信息
     * 
     * @param attFsdaBase 蓄滞洪区信息
     * @return 影响行数
     */
    public int updateAttFsdaBase(AttFsdaBase attFsdaBase);

    /**
     * 新增蓄滞洪区信息
     * 
     * @param attFsdaBase 蓄滞洪区信息
     * @return 影响行数
     */
    public int insertAttFsdaBase(AttFsdaBase attFsdaBase);
}
